org.apache.ignite.internal.processors.service

## Class GridServiceDeploymentFuture<T extends Serializable>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Object>
  - - org.apache.ignite.internal.processors.service.GridServiceDeploymentFuture<T>

All Implemented Interfaces:
  IgniteInternalFuture<Object>

    public class GridServiceDeploymentFuture<T extends Serializable>
    extends GridFutureAdapter<Object>

Service deployment future.

### Constructor Summary

Constructors
Constructor and Description
`GridServiceDeploymentFuture(ServiceConfiguration cfg, T srvcId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `serviceId()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridServiceDeploymentFuture

    public GridServiceDeploymentFuture(ServiceConfiguration cfg,
                                       T srvcId)

Parameters:
  `cfg` - Configuration.
  `srvcId` - Service id.

### Method Detail

#### serviceId

    public T serviceId()

Returns:
  Service id.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<Object>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022